<?
session_name('portal_absa');
session_start();
require_once "../../conexion/conectar.php";
require_once "../../libs/funciones.php";

$conexion = new CONDB();
$conexion->conectar();

if(!isset($_REQUEST['rfc'])){
	?><script>$j_6.messager.alert("Error","Faltan parametros","error");</script><?exit;
}

if(trim($_REQUEST["notificar_dias"]) == "" || trim($_REQUEST["notificar_despuesde"]) == "" || trim($_REQUEST["notificar_repetirdias"]) == ""){
	?><script>$j_6.messager.alert("Error","Los campos no pueden ser vacios.","error");</script><?exit;
}
if(strtolower(trim($_REQUEST["notificar_iniciar"])) == "true"){
	$_REQUEST["notificar_iniciar"] = "1";
}else{
	$_REQUEST["notificar_iniciar"] = "0";
}

if(strtolower(trim($_REQUEST["notificar_general"])) == "true"){
	$qInsertUpdate = "INSERT INTO proveedores SET notificar_iniciar='".$_REQUEST["notificar_iniciar"]."',rfc='".$_REQUEST['rfc']."',rfc_receptor='".$_SESSION['RFC_RECEPTOR_PORTAL']."' ON DUPLICATE KEY UPDATE notificar_iniciar='".$_REQUEST["notificar_iniciar"]."',notificar_general='1'";
}else{
	$qInsertUpdate = "INSERT INTO proveedores SET notificar_iniciar='".$_REQUEST["notificar_iniciar"]."',rfc='".$_REQUEST['rfc']."',rfc_receptor='".$_SESSION['RFC_RECEPTOR_PORTAL']."',notificar_general='0',notificar_dias=".$_REQUEST["notificar_dias"].",notificar_despuesde='".$_REQUEST["notificar_despuesde"]."',
			  notificar_repetirdias=".$_REQUEST["notificar_repetirdias"]." ON DUPLICATE KEY UPDATE notificar_iniciar='".$_REQUEST["notificar_iniciar"]."',notificar_general='0',notificar_dias=".$_REQUEST["notificar_dias"].",notificar_despuesde='".$_REQUEST["notificar_despuesde"]."',
			  notificar_repetirdias=".$_REQUEST["notificar_repetirdias"];
}
//echo $qInsertUpdate;


if(!$result = mysqli_query($conexion->CONEXION,$qInsertUpdate)){
	?><script>$j_6.messager.alert("Error","Ocurrio un error al actualizar la configuraci&oacute;n.","error");</script><?exit;
}

if(mysqli_affected_rows($conexion->CONEXION) > 0){
	?><script>$j_6.messager.alert("Informaci&oacute;n","Se ha actualizado correctamente la configuraci&oacute;n.","info");</script><?exit;
}else{
	?><script>$j_6.messager.alert("Aviso","Nada que actualizar.","info");</script><?exit;
}

?>